Bug 36709 - First Line Indent Using Ch (Characters) as Units Won't Change Size as Font Size Grow
Summary: First Line Indent Using Ch (Characters) as Units Won't Change Size as Font Si...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 97208 (view as bug list)
Depends on:
Blocks: CJK Paragraph-Indent
  Show dependency treegraph
 
Reported: 2011-04-30 06:27 UTC by Cheng-Chia Tseng
Modified: 2019-12-19 10:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The fixed size of 2 Ch. (77.61 KB, image/png)
2011-04-30 06:30 UTC, Cheng-Chia Tseng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cheng-Chia Tseng 2011-04-30 06:27:05 UTC
Now, LireOffice can use Ch (It should be a full-width "Character") as units for First Line Indent. It is a great feature that MOST CJK users use 2 Ch in their documents! :)

However, "Ch" unit is fixed in deault font size (mine is 12).

When Using different font size in different paragraghs, "Ch" should be variable to fit the actual font size of 2 full-width characters.
Comment 1 Cheng-Chia Tseng 2011-04-30 06:30:42 UTC
Created attachment 46191 [details]
The fixed size of 2 Ch.

See the fixed size of 2 Ch indent.
Comment 2 Björn Michaelsen 2011-12-23 12:07:55 UTC Comment hidden (obsolete)
Comment 3 Cheng-Chia Tseng 2012-01-18 07:57:58 UTC
Because the unit is "Character", the indent or others should be variable along with the font size.

It is not solved at dev3.5 yet.
Comment 4 QA Administrators 2015-01-05 17:52:39 UTC Comment hidden (obsolete)
Comment 5 Cheng-Chia Tseng 2015-01-07 14:08:53 UTC
Still reproduced in LibreOffice 4.3.5.2 on fedora 21.
Comment 6 QA Administrators 2016-01-17 20:05:41 UTC Comment hidden (obsolete)
Comment 7 Kevin Suo 2016-02-12 01:22:58 UTC
*** Bug 97208 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2017-09-01 11:21:03 UTC Comment hidden (obsolete)
Comment 9 Kevin Suo 2017-09-02 00:10:05 UTC
The bug still exists in the most recent version.
Comment 10 Kevin Suo 2018-02-11 07:12:42 UTC
A workaround for Chinese users:
Use CM (厘米) instead.

四号:0.98 厘米
小四:0.86 厘米
五号:0.74 厘米
Comment 11 Kevin Suo 2018-02-11 07:13:12 UTC
See also:
https://tieba.baidu.com/p/5516848517
Comment 12 Volga 2018-02-25 19:53:35 UTC Comment hidden (no-value)
Comment 13 Volga 2018-10-19 02:12:13 UTC
Addording to UAX 11 East Asian Width (https://www.unicode.org/reports/tr11/tr11-31.html#Overview): “For a traditional East Asian fixed pitch font, this width translates to a display width of either one half or a whole unit width. A common name for this unit width is “Em”. While an Em is customarily the height of the letter “M”, it is the same as the unit width in East Asian fonts, because in these fonts the standard character cell is square.” So we should making "Ch" unit identical to em unit.
Comment 14 QA Administrators 2019-10-20 02:32:53 UTC Comment hidden (obsolete)
Comment 15 Kevin Suo 2019-10-20 03:05:48 UTC
(In reply to QA Administrators from comment #14)
The bug still exists in the most recent version.
Comment 16 Franklin Weng 2019-11-25 12:25:43 UTC
Check the Format - Paragraph - Indent - Automatic, the first line of paragraph would indent two characters and would follow the font size.  I think technically it is possible.
Comment 17 Franklin Weng 2019-11-25 13:17:46 UTC
Even using English the "Enable char unit" is not precise either.

When checking "Enable char unit" can it just use relative unit like "em"?

https://www.w3.org/Style/Examples/007/units.en.html
Comment 18 Heiko Tietze 2019-11-27 12:10:31 UTC
Khaled, any idea about this? Font size seems to be calulated not correctly.
Comment 19 Volga 2019-12-19 10:12:59 UTC
(In reply to Heiko Tietze from comment #18)
> Khaled, any idea about this? Font size seems to be calulated not correctly.
What's wrong with it?